import java.awt.*;
import java.awt.image.*;

public class JEraseCursor {

	private static final Toolkit toolkit = Toolkit.getDefaultToolkit();

	private Cursor myCursor;
	private int breite;
	private int hoehe;
	
	public JEraseCursor(int b, int h) {
		breite = b; hoehe = h;
		
		BufferedImage cursimg =	new BufferedImage(32, 32, BufferedImage.TYPE_INT_ARGB);
		Graphics g = cursimg.createGraphics();
		g.setColor(new Color(245,245,245)); g.fillRect(0,0,b,h);
		g.setColor(Color.BLACK); g.drawRect(0,0,b-1,h-1);
		myCursor =  toolkit.createCustomCursor(cursimg, new Point(b/2,h/2), "Eraser_"+b+"_"+h);  
		
	}
	
	public Cursor getCursor() { return myCursor; }
	public int getWidth() { return breite; }
	public int getHeight() { return hoehe; }
	
}
